#ifndef __ES_SYS_H__
#define __ES_SYS_H__

#include "es_type.h"
#include "es_common.h"
#include "es_comm_sys.h"

#ifdef __cplusplus
#if __cplusplus
extern "C" {
#endif
#endif /* End of #ifdef __cplusplus */

ES_S32 ES_SYS_Init(ES_VOID);
ES_S32 ES_SYS_Exit(ES_VOID);

ES_S32 ES_SYS_GetVersion(SYS_VERSION_S *pVersion);

ES_S32 ES_SYS_Bind(const CHN_S* pSrcChn, const CHN_S* pDestChn);
ES_S32 ES_SYS_UnBind(const CHN_S* pSrcChn, const CHN_S* pDestChn);
ES_S32 ES_SYS_GetBindbyDest(const CHN_S* pDestChn, CHN_S* pSrcChn);
ES_S32 ES_SYS_GetBindbySrc(const CHN_S* pSrcChn, BIND_DEST_S* pBindDest);

ES_S32 ES_SYS_LogPrint(ES_LOG_LEVEL_E level, const ES_CHAR *pTag, MOD_ID_E id, const ES_CHAR *pFormat, ...);

// Counter is 32Bit, clock is 24MHz
// about 178 seconds will overflow.
ES_S32 ES_SYS_GetCurCnt(ES_U32 *pValue);
#ifdef __cplusplus
#if __cplusplus
}
#endif
#endif /* End of #ifdef __cplusplus */

#endif /*__ES_SYS_H__ */
